# -*- coding: utf-8 -*-

# Softbank-UTF8バイナリとemoji4unicodeのIDとのマッピング

# format("0x%03X", Rack::Ketai::Carrier::Softbank::Filter::EMOJI_TO_EMOJIID[[0xE001].pack('U*')])
#   => "0x19B" (男の子: Unicode E001)
# format("0x%03X", Rack::Ketai::Carrier::Softbank::Filter::EMOJI_TO_EMOJIID[[0xE04A, 0xE049].pack('U*')])
#   => "0x00F" (晴れときどきくもり = 晴れ+くもり : U+E04A+U+E049)

module Rack
  module Ketai
    module Carrier
      class Softbank
        class Filter
          EMOJI_TO_EMOJIID = {
            "" => 0xB0E,
            "" => 0x820,
            "" => 0xB9A,
            "" => 0xB69,
            "" => 0x51C,
            "" => 0xB0C,
            "" => 0x81F,
            "" => 0xB99,
            "" => 0xB57,
            "" => 0x51B,
            "" => 0x4B8,
            "" => 0x01F,
            "" => 0x82A,
            "" => 0x1B1,
            "" => 0xB9C,
            "" => 0xB0B,
            "" => 0x01E,
            "" => 0x81C,
            "" => 0xB9B,
            "" => 0xB0A,
            "" => 0x007,
            "" => 0x805,
            "" => 0x971,
            "" => 0x021,
            "" => 0x964,
            "" => 0x80B,
            "" => 0xAF9,
            "" => 0x331,
            "" => 0x804,
            "" => 0x038,
            "" => 0x984,
            "" => 0x020,
            "" => 0x81B,
            "" => 0xAF8,
            "" => 0x4BE,
            "" => 0x023,
            "" => 0x967,
            "" => 0x4E0,
            "" => 0xAFB,
            "" => 0x1C6,
            "" => 0x4BD,
            "" => 0x022,
            "" => 0x966,
            "" => 0xB32,
            "" => 0xAFA,
            "" => 0x51D,
            "" => 0x345,
            "" => 0x802,
            "" => 0x025,
            "" => 0x969,
            "" => 0x7DB,
            "" => 0xAF2,
            "" => 0x005,
            "" => 0x4BF,
            "" => 0x024,
            "" => 0x968,
            "" => 0x80C,
            "" => 0xAF0,
            "" => 0x51E,
            "" => 0x321,
            "" => 0x4C4,
            "" => 0x96B,
            "" => 0x027,
            "" => 0x80D,
            "" => 0xAF3,
            "" => 0x51F,
            "" => 0x343,
            "" => 0x4C0,
            "" => 0x049,
            "" => 0x96A,
            "" => 0x026,
            "" => 0x7D7,
            "" => 0xAF1,
            "" => 0x347,
            "" => 0x4E5,
            "" => 0x043,
            "" => 0x029,
            "" => 0x96C,
            "" => 0x7EE,
            "" => 0xAFD,
            "" => 0x824,
            "" => 0x328,
            "" => 0x4C5,
            "" => 0x028,
            "" => 0x017,
            "" => 0xAFC,
            "" => 0x963,
            "" => 0x7DC,
            "" => 0x527,
            "" => 0x33F,
            "" => 0x4E7,
            "" => 0x96D,
            "" => 0x00A,
            "" => 0xAFF,
            "" => 0x4D2,
            "" => 0xB26,
            "" => 0x324,
            "" => 0x4E6,
            "" => 0x040,
            "" => 0xAFE,
            "" => 0x961,
            "" => 0x513,
            "" => 0x7EB,
            "" => 0x045,
            "" => 0x194,
            "" => 0x4E9,
            "" => 0x02B,
            "" => 0x05B,
            "" => 0x008,
            "" => 0x512,
            "" => 0xB34,
            "" => 0x4D3,
            "" => 0x342,
            "" => 0x4E8,
            "" => 0x041,
            "" => 0x96E,
            "" => 0x00C,
            "" => 0x4F7,
            "" => 0xB33,
            "" => 0x04D,
            "" => 0x33B,
            "" => 0x4EB,
            "" => 0x053,
            "" => 0x02D,
            "" => 0x826,
            "" => 0x509,
            "" => 0x03D,
            "" => 0x332,
            "" => 0x4EA,
            "" => 0x052,
            "" => 0x02C,
            "" => 0x00D,
            "" => 0x825,
            "" => 0xB35,
            "" => 0x047,
            "" => 0x32F,
            "" => 0x4ED,
            "" => 0x7F0,
            "" => 0x055,
            "" => 0x02F,
            "" => 0x4BB,
            "" => 0x004,
            "" => 0x828,
            "" => 0x32E,
            "" => 0x4EC,
            "" => 0x054,
            "" => 0x4B0,
            "" => 0x02E,
            "" => 0xB59,
            "" => 0x508,
            "" => 0x325,
            "" => 0x1A4,
            "" => 0xB24,
            "" => 0x031,
            "" => 0x511,
            "" => 0x7EC,
            "" => 0x505,
            "" => 0x048,
            "" => 0x326,
            "" => 0x4EE,
            "" => 0x4C1,
            "" => 0x056,
            "" => 0x4B2,
            "" => 0x030,
            "" => 0x4D6,
            "" => 0x33A,
            "" => 0x1A6,
            "" => 0xB61,
            "" => 0x4C2,
            "" => 0x033,
            "" => 0x970,
            "" => 0x4C3,
            "" => 0x821,
            "" => 0x322,
            "" => 0x1A5,
            "" => 0xB19,
            "" => 0x803,
            "" => 0x032,
            "" => 0x96F,
            "" => 0x7F5,
            "" => 0x507,
            "" => 0x339,
            "" => 0x1A8,
            "" => 0x52C,
            "" => 0xB25,
            "" => 0xB43,
            "" => 0x035,
            "" => 0xE1C,
            "" => 0x514,
            "" => 0x987,
            "" => 0x334,
            "" => 0x1A7,
            "" => 0xB62,
            "" => 0x034,
            "" => 0x800,
            "" => 0x52F,
            "" => 0x044,
            "" => 0x338,
            "" => 0x1AA,
            "" => 0x529,
            "" => 0x50A,
            "" => 0x037,
            "" => 0xB82,
            "" => 0xB87,
            "" => 0x336,
            "" => 0x1A9,
            "" => 0x52E,
            "" => 0xB1F,
            "" => 0xB1E,
            "" => 0x036,
            "" => 0x813,
            "" => 0xB86,
            "" => 0x838,
            "" => 0x4C6,
            "" => 0x329,
            "" => 0xB58,
            "" => 0x32D,
            "" => 0x965,
            "" => 0x816,
            "" => 0xB27,
            "" => 0x1AB,
            "" => 0x526,
            "" => 0xB20,
            "" => 0x516,
            "" => 0x33D,
            "" => 0x00B,
            "" => 0x815,
            "" => 0xB42,
            "" => 0x1B6,
            "" => 0x19B,
            "" => 0x341,
            "" => 0xB1C,
            "" => 0x53E,
            "" => 0x190,
            "" => 0x980,
            "" => 0x4DE,
            "" => 0xB2D,
            "" => 0x1B5,
            "" => 0x327,
            "" => 0xB1A,
            "" => 0x517,
            "" => 0x32C,
            "" => 0x818,
            "" => 0x500,
            "" => 0xB29,
            "" => 0x1C8,
            "" => 0x823,
            "" => 0x1C4,
            "" => 0xB1D,
            "" => 0xB2B,
            "" => 0x191,
            "" => 0x981,
            "" => 0x83A,
            "" => 0x531,
            "" => 0x1C7,
            "" => 0x19C,
            "" => 0x344,
            "" => 0xB1B,
            "" => 0x50F,
            "" => 0x192,
            "" => 0x982,
            "" => 0x839,
            "" => 0x4DF,
            "" => 0x82B,
            "" => 0x19E,
            "" => 0x1BF,
            "" => 0x530,
            "" => 0x35B,
            "" => 0x1BA,
            "" => 0x983,
            "" => 0x4B5,
            "" => 0x1B4,
            "" => 0x82C,
            "" => 0x19D,
            "" => 0x1C5,
            "" => 0x53C,
            "" => 0x193,
            "" => 0x1C9,
            "" => 0x962,
            "" => 0xB5E,
            "" => 0xB23,
            "" => 0x4CC,
            "" => 0x7ED,
            "" => 0xB37,
            "" => 0x4D5,
            "" => 0xB9E,
            "" => 0x1CB,
            "" => 0x001,
            "" => 0x7F6,
            "" => 0xE78,
            "" => 0x4CF,
            "" => 0x1B0,
            "" => 0xB36,
            "" => 0x4D4,
            "" => 0xB9D,
            "" => 0x1CA,
            "" => 0x003,
            "" => 0x7F7,
            "" => 0xE77,
            "" => 0xB56,
            "" => 0xB39,
            "" => 0x4D8,
            "" => 0xBA0,
            "" => 0x1CD,
            "" => 0x523,
            "" => 0x002,
            "" => 0x506,
            "" => 0xE7A,
            "" => 0x4D1,
            "" => 0xB38,
            "" => 0x4D7,
            "" => 0xB9F,
            "" => 0x1CC,
            "" => 0x4EF,
            "" => 0x7E7,
            "" => 0xE79,
            "" => 0x000,
            "" => 0x827,
            "" => 0xB3B,
            "" => 0x196,
            "" => 0x351,
            "" => 0x1CF,
            "" => 0x528,
            "" => 0x4B3,
            "" => 0xE7C,
            "" => 0x009,
            "" => 0x04E,
            "" => 0xB3A,
            "" => 0x195,
            "" => 0xBA1,
            "" => 0x1CE,
            "" => 0x525,
            "" => 0x1A1,
            "" => 0xE7B,
            "" => 0x012,
            "" => 0x4F5,
            "" => 0xB63,
            "" => 0x198,
            "" => 0x829,
            "" => 0x1D1,
            "" => 0xB96,
            "" => 0x4B4,
            "" => 0x1B8,
            "" => 0x510,
            "" => 0xB3C,
            "" => 0x197,
            "" => 0x352,
            "" => 0x1D0,
            "" => 0x538,
            "" => 0x4B6,
            "" => 0xE7D,
            "" => 0x1AF,
            "" => 0xB67,
            "" => 0x4D9,
            "" => 0x358,
            "" => 0x1D3,
            "" => 0xB98,
            "" => 0x7D9,
            "" => 0x4BA,
            "" => 0x1C1,
            "" => 0xBA3,
            "" => 0x199,
            "" => 0x353,
            "" => 0x1D2,
            "" => 0xB97,
            "" => 0xB85,
            "" => 0x1C0,
            "" => 0x4B9,
            "" => 0x82F,
            "" => 0x4F0,
            "" => 0x1A2,
            "" => 0x1D5,
            "" => 0xB94,
            "" => 0x515,
            "" => 0x1C2,
            "" => 0x7E6,
            "" => 0x82E,
            "" => 0x4DA,
            "" => 0x1A0,
            "" => 0x1D4,
            "" => 0xB93,
            "" => 0x4CA,
            "" => 0x1B7,
            "" => 0x4B7,
            "" => 0x042,
            "" => 0x831,
            "" => 0x4F2,
            "" => 0x7DD,
            "" => 0x1D7,
            "" => 0x7D5,
            "" => 0x1BC,
            "" => 0x03F,
            "" => 0x830,
            "" => 0x808,
            "" => 0x7D6,
            "" => 0x1D6,
            "" => 0x357,
            "" => 0x1C3,
            "" => 0x7EF,
            "" => 0x833,
            "" => 0xB10,
            "" => 0x7DE,
            "" => 0x50C,
            "" => 0x7D3,
            "" => 0x1AE,
            "" => 0x330,
            "" => 0x832,
            "" => 0x814,
            "" => 0x80E,
            "" => 0x50B,
            "" => 0x7D2,
            "" => 0x1B2,
            "" => 0x335,
            "" => 0x835,
            "" => 0xB12,
            "" => 0x7F1,
            "" => 0x50E,
            "" => 0x7DA,
            "" => 0x4F6,
            "" => 0x320,
            "" => 0x834,
            "" => 0xB11,
            "" => 0x7E5,
            "" => 0x50D,
            "" => 0x7D1,
            "" => 0x1B3,
            "" => 0x323,
            "" => 0x837,
            "" => 0xB14,
            "" => 0x7F3,
            "" => 0xB2A,
            "" => 0x1BD,
            "" => 0x537,
            "" => 0x836,
            "" => 0xB13,
            "" => 0x7F2,
            "" => 0x553,
            "" => 0x7D4,
            "" => 0x53B,
            "" => 0x4F4,
            "" => 0x7FE,
            "" => 0xE71,
            "" => 0x7E4,
            "" => 0x4BC,
            "" => 0xB3E,
            "" => 0xB16,
            "" => 0x7F4,
            "" => 0xE70,
            "" => 0x1BE,
            "" => 0x960,
            "" => 0xB3D,
            "" => 0xB15,
            "" => 0x7E2,
            "" => 0xE73,
            "" => 0x7E9,
            "" => 0x7FA,
            "" => 0xB81,
            "" => 0xB68,
            "" => 0x00F,
            "" => 0x7E0,
            "" => 0xE72,
            "" => 0x7EA,
            "" => 0x7FB,
            "" => 0xB3F,
            "" => 0xB60,
            "" => 0xB17,
            "" => 0xE75,
            "" => 0x7E3,
            "" => 0x807,
            "" => 0xB2F,
            "" => 0xB5B,
            "" => 0x7FD,
            "" => 0x518,
            "" => 0xE74,
            "" => 0x7DF,
            "" => 0xB31,
            "" => 0xB5D,
            "" => 0xB04,
            "" => 0x81E,
            "" => 0xB41,
            "" => 0xB45,
            "" => 0x51A,
            "" => 0xE76,
            "" => 0xB09,
            "" => 0x81D,
            "" => 0xB40,
            "" => 0xB44,
            "" => 0x519,
          }

          # 単にEMOJI_TO_EMOJIID#index を使うと、
          # 1つの絵文字が複数のIDに割り当てられている（DoCoMo SJIS-F97A など）場合
          # 見つからなくなる
          # 逆にEMOJIID_TO_EMOJIだけだと複数絵文字の組み合わせによるものがめんどくさい（たぶん）
          EMOJIID_TO_EMOJI = {
            0x041 => "",
            0x7EE => "",
            0x1CA => "",
            0x353 => "",
            0x830 => "",
            0x000 => "",
            0x51E => "",
            0xB42 => "",
            0x042 => "",
            0x7EF => "",
            0x1CB => "",
            0x4DD => "",
            0x831 => "",
            0x001 => "",
            0x51F => "",
            0xB43 => "",
            0x043 => "",
            0x7F0 => "",
            0x1CC => "",
            0x4DE => "",
            0xB85 => "",
            0x832 => "",
            0x002 => "",
            0xB44 => "",
            0x044 => "",
            0x7F1 => "",
            0x1CD => "",
            0x4DF => "",
            0xB86 => "",
            0x833 => "",
            0x003 => "",
            0xB45 => "",
            0x045 => "",
            0x7F2 => "",
            0x1CE => "",
            0x357 => "",
            0x4E0 => "",
            0xB04 => "",
            0xB87 => "",
            0x834 => "",
            0x004 => "",
            0xB46 => "",
            0x046 => "",
            0x7F3 => "",
            0x1CF => "",
            0x358 => "",
            0x835 => "",
            0x005 => "",
            0x523 => "",
            0x047 => "",
            0x7F4 => "",
            0x1D0 => "",
            0x359 => "",
            0x836 => "",
            0x524 => "",
            0x048 => "",
            0x7F5 => "",
            0xB8A => "",
            0x1D1 => "",
            0x35A => "",
            0x4E3 => "",
            0x837 => "",
            0x007 => "",
            0x190 => "",
            0x525 => "",
            0x049 => "",
            0x7F6 => "",
            0x1D2 => "",
            0x35B => "",
            0x838 => "",
            0x008 => "",
            0x191 => "",
            0x526 => "",
            0x980 => "",
            0x7F7 => "",
            0x1D3 => "",
            0x4E5 => "",
            0xB09 => "",
            0x839 => "",
            0x009 => "",
            0x527 => "",
            0x192 => "",
            0x981 => "",
            0x7F8 => "",
            0xB8D => "",
            0x1D4 => "",
            0xE1C => "",
            0x4E6 => "",
            0xB0A => "",
            0x83A => "",
            0x00A => "",
            0x528 => "",
            0x193 => "",
            0x982 => "",
            0x7F9 => "",
            0xB8E => "",
            0x4E7 => "",
            0xB0B => "",
            0x1D5 => "",
            0x00B => "",
            0x529 => "",
            0x194 => "",
            0x983 => "",
            0x7FA => "",
            0x4E8 => "",
            0xB0C => "",
            0x04D => "",
            0x1D6 => "",
            0x00C => "",
            0x52A => "",
            0x195 => "",
            0x984 => "",
            0x7FB => "",
            0xB90 => "",
            0x4E9 => "",
            0xB0D => "",
            0x04E => "",
            0x1D7 => "",
            0x00D => "",
            0x52B => "",
            0x196 => "",
            0x985 => "",
            0x4EA => "",
            0xB0E => "",
            0x1D8 => "",
            0x320 => "",
            0x52C => "",
            0x197 => "",
            0x986 => "",
            0x7FD => "",
            0xB92 => "",
            0x4EB => "",
            0xB0F => "",
            0x1D9 => "",
            0x00F => "",
            0x321 => "",
            0x52D => "",
            0x198 => "",
            0x051 => "",
            0x987 => "",
            0x7FE => "",
            0xB93 => "",
            0x4EC => "",
            0xB10 => "",
            0x010 => "",
            0x322 => "",
            0x52E => "",
            0x199 => "",
            0x052 => "",
            0x988 => "",
            0x7FF => "",
            0xB94 => "",
            0x4ED => "",
            0xB11 => "",
            0x1DB => "",
            0x323 => "",
            0x52F => "",
            0xB53 => "",
            0x053 => "",
            0xB95 => "",
            0x4EE => "",
            0xB12 => "",
            0x800 => "",
            0x012 => "",
            0x530 => "",
            0x19B => "",
            0x324 => "",
            0x054 => "",
            0xB96 => "",
            0x4EF => "",
            0xB13 => "",
            0x1DD => "",
            0x801 => "",
            0x013 => "",
            0x531 => "",
            0x19C => "",
            0x325 => "",
            0x055 => "",
            0xB97 => "",
            0x4F0 => "",
            0xB14 => "",
            0x802 => "",
            0x014 => "",
            0xB56 => "",
            0x19D => "",
            0x326 => "",
            0x056 => "",
            0xB98 => "",
            0xB15 => "",
            0x803 => "",
            0x4B0 => "",
            0xB57 => "",
            0x19E => "",
            0x327 => "",
            0xB99 => "",
            0x4F2 => "",
            0xB16 => "",
            0x1E0 => "",
            0x804 => "",
            0x4B1 => "",
            0x016 => "",
            0xB58 => "",
            0x328 => "",
            0xB9A => "",
            0xB17 => "",
            0x805 => "",
            0x4B2 => "",
            0x017 => "",
            0x535 => "",
            0xB59 => "",
            0x1A0 => "",
            0x329 => "",
            0xB9B => "",
            0x4F4 => "",
            0xB18 => "",
            0x4B3 => "",
            0x1A1 => "",
            0x32A => "",
            0xB9C => "",
            0x4F5 => "",
            0xB19 => "",
            0x807 => "",
            0x4B4 => "",
            0x537 => "",
            0xB5B => "",
            0x1A2 => "",
            0x32B => "",
            0xB9D => "",
            0x808 => "",
            0x4F6 => "",
            0xB1A => "",
            0x05B => "",
            0x4B5 => "",
            0x538 => "",
            0xB5C => "",
            0x32C => "",
            0xB9E => "",
            0x809 => "",
            0x4F7 => "",
            0xB1B => "",
            0x539 => "",
            0xB5D => "",
            0x1A4 => "",
            0x32D => "",
            0x4B6 => "",
            0xB9F => "",
            0x4F8 => "",
            0xB1C => "",
            0xB5E => "",
            0x1A5 => "",
            0xE70 => "",
            0x32E => "",
            0x4B7 => "",
            0x80B => "",
            0xB1D => "",
            0xBA0 => "",
            0x4F9 => "",
            0x53B => "",
            0xB5F => "",
            0x1A6 => "",
            0xE71 => "",
            0x32F => "",
            0x4B8 => "",
            0x80C => "",
            0xB1E => "",
            0xBA1 => "",
            0x01E => "",
            0xB60 => "",
            0x1A7 => "",
            0xE72 => "",
            0x330 => "",
            0x4B9 => "",
            0x53C => "",
            0x80D => "",
            0xB1F => "",
            0x01F => "",
            0xB61 => "",
            0x1A8 => "",
            0xE73 => "",
            0x331 => "",
            0x4BA => "",
            0x53D => "",
            0x80E => "",
            0xBA3 => "",
            0xB20 => "",
            0x020 => "",
            0x1A9 => "",
            0xE74 => "",
            0x332 => "",
            0x4BB => "",
            0x53E => "",
            0xB62 => "",
            0x021 => "",
            0x1AA => "",
            0xE75 => "",
            0x333 => "",
            0x4BC => "",
            0xB63 => "",
            0x022 => "",
            0x1AB => "",
            0xE76 => "",
            0x334 => "",
            0x4BD => "",
            0x540 => "",
            0xB64 => "",
            0x4FF => "",
            0xB23 => "",
            0x023 => "",
            0xE77 => "",
            0x335 => "",
            0x4BE => "",
            0x541 => "",
            0xB65 => "",
            0x500 => "",
            0xB24 => "",
            0x024 => "",
            0x7D1 => "",
            0xE78 => "",
            0x336 => "",
            0x4BF => "",
            0xB66 => "",
            0x813 => "",
            0x501 => "",
            0xB25 => "",
            0x025 => "",
            0x1AE => "",
            0x7D2 => "",
            0xE79 => "",
            0x337 => "",
            0x4C0 => "",
            0xB67 => "",
            0x814 => "",
            0x502 => "",
            0xB26 => "",
            0x026 => "",
            0x1AF => "",
            0x7D3 => "",
            0xE7A => "",
            0x338 => "",
            0x4C1 => "",
            0xB68 => "",
            0x815 => "",
            0x503 => "",
            0xB27 => "",
            0x027 => "",
            0x1B0 => "",
            0x7D4 => "",
            0xE7B => "",
            0x339 => "",
            0x4C2 => "",
            0x545 => "",
            0xB69 => "",
            0x816 => "",
            0x028 => "",
            0x1B1 => "",
            0x7D5 => "",
            0xE7C => "",
            0x33A => "",
            0x4C3 => "",
            0x546 => "",
            0x505 => "",
            0xB29 => "",
            0x029 => "",
            0x1B2 => "",
            0x7D6 => "",
            0xE7D => "",
            0x33B => "",
            0x4C4 => "",
            0x547 => "",
            0xB6B => "",
            0x818 => "",
            0x506 => "",
            0xB2A => "",
            0x02A => "",
            0x960 => "",
            0x7D7 => "",
            0x33C => "",
            0x4C5 => "",
            0x548 => "",
            0xB6C => "",
            0x1B3 => "",
            0x507 => "",
            0xB2B => "",
            0x02B => "",
            0x961 => "",
            0x33D => "",
            0x4C6 => "",
            0xB6D => "",
            0x1B4 => "",
            0x81A => "",
            0x508 => "",
            0x02C => "",
            0x962 => "",
            0x7D9 => "",
            0x33E => "",
            0x54A => "",
            0xB6E => "",
            0x1B5 => "",
            0x81B => "",
            0x509 => "",
            0xB2D => "",
            0x02D => "",
            0x963 => "",
            0x7DA => "",
            0x33F => "",
            0x54B => "",
            0xB6F => "",
            0x1B6 => "",
            0x81C => "",
            0x50A => "",
            0x02E => "",
            0x964 => "",
            0x7DB => "",
            0x340 => "",
            0xB70 => "",
            0x1B7 => "",
            0x81D => "",
            0x50B => "",
            0xB2F => "",
            0x02F => "",
            0x965 => "",
            0x7DC => "",
            0x341 => "",
            0x4CA => "",
            0x54D => "",
            0xB71 => "",
            0x1B8 => "",
            0x81E => "",
            0x50C => "",
            0x030 => "",
            0x966 => "",
            0x7DD => "",
            0x342 => "",
            0xB72 => "",
            0x81F => "",
            0x50D => "",
            0xB31 => "",
            0x031 => "",
            0x967 => "",
            0x7DE => "",
            0x343 => "",
            0x4CC => "",
            0xAF0 => "",
            0x54F => "",
            0xB73 => "",
            0x1BA => "",
            0x820 => "",
            0x50E => "",
            0xB32 => "",
            0x032 => "",
            0x968 => "",
            0x7DF => "",
            0x344 => "",
            0x4CD => "",
            0xAF1 => "",
            0xB74 => "",
            0x1BB => "",
            0x821 => "",
            0x50F => "",
            0xB33 => "",
            0x033 => "",
            0x969 => "",
            0xAF2 => "",
            0xB75 => "",
            0x1BC => "",
            0x7E0 => "",
            0x345 => "",
            0x510 => "",
            0xB34 => "",
            0x034 => "",
            0x96A => "",
            0x4CF => "",
            0xAF3 => "",
            0x552 => "",
            0xB76 => "",
            0x1BD => "",
            0x7E1 => "",
            0x346 => "",
            0x823 => "",
            0x511 => "",
            0xB35 => "",
            0x035 => "",
            0x96B => "",
            0xAF4 => "",
            0x553 => "",
            0xB77 => "",
            0x1BE => "",
            0x7E2 => "",
            0x347 => "",
            0x824 => "",
            0x512 => "",
            0xB36 => "",
            0x036 => "",
            0x96C => "",
            0x7E3 => "",
            0x4D1 => "",
            0xAF5 => "",
            0x1BF => "",
            0x348 => "",
            0x825 => "",
            0x513 => "",
            0xB37 => "",
            0x037 => "",
            0x96D => "",
            0x7E4 => "",
            0x4D2 => "",
            0x1C0 => "",
            0x349 => "",
            0x826 => "",
            0x514 => "",
            0xB38 => "",
            0x038 => "",
            0x96E => "",
            0x7E5 => "",
            0x4D3 => "",
            0x1C1 => "",
            0x34A => "",
            0x827 => "",
            0x515 => "",
            0xB39 => "",
            0x96F => "",
            0x7E6 => "",
            0x4D4 => "",
            0xAF8 => "",
            0x1C2 => "",
            0x34B => "",
            0x828 => "",
            0x516 => "",
            0xB3A => "",
            0x970 => "",
            0x7E7 => "",
            0x4D5 => "",
            0xAF9 => "",
            0x1C3 => "",
            0x34C => "",
            0x829 => "",
            0x517 => "",
            0xB3B => "",
            0x03B => "",
            0x971 => "",
            0x7E8 => "",
            0x4D6 => "",
            0xAFA => "",
            0x1C4 => "",
            0x34D => "",
            0x82A => "",
            0x518 => "",
            0xB3C => "",
            0x03C => "",
            0x7E9 => "",
            0xAFB => "",
            0x1C5 => "",
            0x34E => "",
            0x4D7 => "",
            0x82B => "",
            0x519 => "",
            0xB3D => "",
            0x03D => "",
            0x7EA => "",
            0xAFC => "",
            0x1C6 => "",
            0x34F => "",
            0x4D8 => "",
            0x82C => "",
            0xB3E => "",
            0x51A => "",
            0x03E => "",
            0x7EB => "",
            0xAFD => "",
            0x1C7 => "",
            0x350 => "",
            0x4D9 => "",
            0xB3F => "",
            0x51B => "",
            0x03F => "",
            0x7EC => "",
            0xB81 => "",
            0x1C8 => "",
            0x351 => "",
            0x4DA => "",
            0xAFE => "",
            0x82E => "",
            0xB40 => "",
            0x51C => "",
            0x040 => "",
            0x7ED => "",
            0xB82 => "",
            0x1C9 => "",
            0x352 => "",
            0x4DB => "",
            0xAFF => "",
            0x82F => "",
            0x51D => "",
            0xB41 => "",
          }

          # 1.8系、1.9系 互換性維持のため
          if RUBY_VERSION >= '1.9.0'
            def EMOJI_TO_EMOJIID.index(val)
              key(val)
            end
          end
          
        end
      end
    end
  end
end

